Name:		json-cwx
Version:	0.12
Release:	1%{?dist}
Summary:	JSON-C with Extensions
License:	GPLv2
URL:		https://github.com/LLNL/json-cwx
Source0:	https://github.com/LLNL/%name/archive/%version/%name-%version.tar.gz
BuildRequires:	gcc automake libtool

%description

This is a version of the JSON-C library.  Among other things,
it has been modified to support
* Optimized, homogenously typed, multi-dimensional arrays.
  That is, arrays whose members are NOT json objects but
  the individual array elements in a larger buffer. These
  are 'extarr' object types.
* Enumerated types.
* Path-oriented object get/set methods.
* Path get methods that can accept paths such as "a/gorfo/5/foo/7"
  where if gorfo and foo are array objects, then 5 and 7 are
  treated as array indices. If gorfo and foo are 'normal' objects,
  then '5' and '7' are treated as the member keys of the objects.
* A find method that is a lot like Unix' find except that it can
  find a matching sub-path from the specified root.


%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release

%description devel
Development files for %name.


%prep
%setup -q
cd %name
sh autogen.sh


%build
cd %name
%configure --disable-static
%make_build


%install
%make_install -C %name EXTRA_DIST=


%check
%if 0
# Failing with 
#   json_object_from_file: error opening file foo.json: No such file or directory
# although the file is there
make check -C %name/tests
%endif

%ldconfig_scriptlets

%files
%license LICENSE
%doc README %name/ChangeLog
%_libdir/*.so.2*

%files devel
%_includedir/*
%_libdir/*.so
%exclude %_libdir/libjson-cwx.la
%_libdir/pkgconfig/json-cwx.pc


%changelog
* Fri Sep 21 2018  <loveshack@fedoraproject.org> - 0.12-1
- Initial packaging
